vitodo(1)

NAME
backuptodo - Make a backup archive of the todo.txt task file

  SYNOPSIS
backuptodo [options]

  DESCRIPTION
This command will make snapshot backups of the todo.txt file to a backup folder.

A specified number of backups will be kept. Older snapshots will be removed.

Hooks are provided that can be run before and after todo.txt file processing. Scripts run before processing are to be stored in /etc/todo.txt-base/prehooks. Scripts run after processing are stored in /etc/todo.txt-base/posthooks. All scripts are run with a single argument defining the location of the todo.txt tasking file.

  OPTIONS

•   -h, --help - Print help and exit

•   -f <FILE> - Use <FILE> as the tasking file

•   -b <BACKUPDIR> - Place shapshots in this directory (defaults to Dropbox “todo/backup”).

•   -n <NUM> - keep snapshots

•   -c <CONFIG> - alternate config file location

  SEE ALSO
todo.txt-base(8), edittodo(1), listtodo(1), todo.txt(1), cdtodo(1), vitodo(1)